import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-13 16:37
 */
export interface PrjDeployConf {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * project_id
    * @type { string }
    */
    projectId?: string;
    /**
    * 项目服务ID
    * @type { string }
    */
    pid?: string;
    /**
    * 部署版本号
    * @type { string }
    */
    versionNo?: string;
    /**
    * 次版本ID
    * @type { string }
    */
    minorVersionId?: string;
    /**
    * 修订版本ID
    * @type { string }
    */
    revisionVersionId?: string;
    /**
    * 环境ID
    * @type { string }
    */
    envId?: string;
    /**
    * 环境代码
    * @type { string }
    */
    envCode?: string;
    /**
    * TEST、PROD
    * @type { string }
    */
    envType?: string;
    /**
    * 环境关联配置id
    * @type { string }
    */
    envConfigRefId?: string;
    /**
    * default_version
    * @type { boolean }
    */
    defaultVersion?: boolean;
    /**
    * 0:手动、1:自动
    * @type { string }
    */
    deployMethod?: string;
    /**
    * 基础镜像ID
    * @type { string }
    */
    basicImageId?: string;
    /**
    * 部署模板ID
    * @type { string }
    */
    deployTemplateId?: string;
    /**
    * 日志模板ID
    * @type { string }
    */
    logConfigTemplateId?: string;
    /**
    * instance_cpu
    * @type { number }
    */
    instanceCpu?: number;
    /**
    * instance_memory
    * @type { number }
    */
    instanceMemory?: number;
    /**
    * min_instance
    * @type { number }
    */
    minInstance?: number;
    /**
    * max_instance
    * @type { number }
    */
    maxInstance?: number;
    /**
    * 部署文件名
    * @type { string }
    */
    deployFilename?: string;
    /**
    * 0:运行中、1:未运行、2:已停止
    * @type { number }
    */
    runStatus?: number;
    /**
    *  0:已部署、1:待部署、2:部署中、3:部署失败、4：待停止、5、停止中、6：已停止6:停止中、7:已停止
    * @type { number }
    */
    deployStatus?: number;
    /**
    * 部署信息,日志描述
    * @type { string }
    */
    deployMsg?: string;
    /**
    * 部署参数
    * @type { string }
    */
    deployParameters?: string;
    /**
    * 环境变量
    * @type { string }
    */
    envVariable?: string;
    /**
    * 项目commitId
    * @type { string }
    */
    commitId?: string;
    /**
    * 项目Tag
    * @type { string }
    */
    commitTag?: string;
    /**
    * 修改人ID
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 创建人ID
    * @type { string }
    */
    createUserId?: string;
    /**
    * K8S集群配置ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * Kafka配置ID
    * @type { string }
    */
    kafkaId?: string;
    /**
    * K8S 配置
    * @type { string }
    */
    k8sConfig?: string;
    /**
    * Kafka配置
    * @type { string }
    */
    kafkaConfig?: string;
    /**
    * 基础镜像配置
    * @type { string }
    */
    basicImageConfig?: string;
    /**
    * 日志配置
    * @type { string }
    */
    logConfig?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * prj_type
    * @type { string }
    */
    prjType?: string;
    /**
    * app_options_config
    * @type { string }
    */
    appOptionsConfig?: string;
    /**
    * k8s_cluster_id
    * @type { string }
    */
    k8sClusterId?: string;
    /**
    * metrics_template_id
    * @type { string }
    */
    metricsTemplateId?: string;
}
export declare class PrjDeployConfMI {
    static get ID(): FieldInfo;
    static get PROJECT_ID(): FieldInfo;
    static get PID(): FieldInfo;
    static get VERSION_NO(): FieldInfo;
    static get MINOR_VERSION_ID(): FieldInfo;
    static get REVISION_VERSION_ID(): FieldInfo;
    static get ENV_ID(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get ENV_TYPE(): FieldInfo;
    static get ENV_CONFIG_REF_ID(): FieldInfo;
    static get DEFAULT_VERSION(): FieldInfo;
    static get DEPLOY_METHOD(): FieldInfo;
    static get BASIC_IMAGE_ID(): FieldInfo;
    static get DEPLOY_TEMPLATE_ID(): FieldInfo;
    static get LOG_CONFIG_TEMPLATE_ID(): FieldInfo;
    static get INSTANCE_CPU(): FieldInfo;
    static get INSTANCE_MEMORY(): FieldInfo;
    static get MIN_INSTANCE(): FieldInfo;
    static get MAX_INSTANCE(): FieldInfo;
    static get DEPLOY_FILENAME(): FieldInfo;
    static get RUN_STATUS(): FieldInfo;
    static get DEPLOY_STATUS(): FieldInfo;
    static get DEPLOY_MSG(): FieldInfo;
    static get DEPLOY_PARAMETERS(): FieldInfo;
    static get ENV_VARIABLE(): FieldInfo;
    static get COMMIT_ID(): FieldInfo;
    static get COMMIT_TAG(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get K8S_ID(): FieldInfo;
    static get KAFKA_ID(): FieldInfo;
    static get K8S_CONFIG(): FieldInfo;
    static get KAFKA_CONFIG(): FieldInfo;
    static get BASIC_IMAGE_CONFIG(): FieldInfo;
    static get LOG_CONFIG(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get PRJ_TYPE(): FieldInfo;
    static get APP_OPTIONS_CONFIG(): FieldInfo;
    static get K8S_CLUSTER_ID(): FieldInfo;
    static get METRICS_TEMPLATE_ID(): FieldInfo;
}
